#!/usr/bin/env bash

# build programs
make -C liblinear-1.92-inc
make -C liblinear-1.92-dec

# prepare data sets
cd datasets; ./generate_data.sh; cd -

# run incremental experiments
cd exp-inc; ln -s ../datasets datasets; ./run.py; ./plot.pl 1; ./plot.pl 128; cd -

# run decremental experiments
cd exp-dec; ln -s ../datasets datasets; ./run.py; ./plot.pl 1; ./plot.pl 128; cd -

